/***
 * Think ADL Parser
 * Copyright (C) 2006-2007 STMicroelectronics
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: think@objectweb.org
 *
 * Author: Matthieu Leclercq
 */

package org.objectweb.fractal.cecilia.adl.idl.remote;

import java.util.HashSet;
import java.util.Set;

/**
 * Interface used to validate a variable name.
 */
public class VarNameValidator {

  private final Set<String> localVars = new HashSet<String>();

  /**
   * Validates the given name.
   * 
   * @param name the name to validate.
   * @return the validated name.
   */
  public String validateName(String name) {
    while (localVars.contains(name))
      name += '_';
    localVars.add(name);
    return name;
  }
}
